import { OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { UntypedFormControl } from '@angular/forms';
import { MatSort } from '@angular/material/sort';
import { Router } from '@angular/router';
import { PageEvent } from '../../../data-table/data-table.model';
import { HttpService } from '../../../core/http.service';
import * as i0 from "@angular/core";
export declare class EmailSubscriptionUserListComponent implements OnInit {
    private dialog;
    private http;
    private router;
    esUserList: any[];
    pageEvent: PageEvent;
    filters: any;
    sort: MatSort;
    displayColumns: UntypedFormControl;
    displayedColumns: any[];
    availableDisplayColumns: any[];
    constructor(dialog: MatDialog, http: HttpService, router: Router);
    ngOnInit(): void;
    get selectedColumns(): string[];
    columnsChange(): void;
    initializeData(): void;
    filterChange(event: any): void;
    addEmailSubscriptionUser(): void;
    editEmailSubscriptionUser(event: any, esUser: any): void;
    deleteEmailSubscriptionUser(event: any, esUser: any): void;
    onScroll(): void;
    changeSort(event: any): void;
    reload(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmailSubscriptionUserListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmailSubscriptionUserListComponent, "app-email-subscription-user-list", never, {}, {}, never, never, false, never>;
}
